WinNT.LOGICAL_PROCESSOR_RELATIONSHIP (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, interface: LOGICAL_PROCESSOR_RELATIONSHIP

Package com.sun.jna.platform.win32

# Interface WinNT.LOGICAL_PROCESSOR_RELATIONSHIP

Enclosing interface:
  WinNT

public static interface WinNT.LOGICAL_PROCESSOR_RELATIONSHIP
Represents the relationship between the processor set identified in the corresponding `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION` or `SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` structure.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RelationAll`
  On input, retrieves information about all possible relation types.
  `static final int`
  `RelationCache`
  The specified logical processors share a cache.
  `static final int`
  `RelationGroup`
  The specified logical processors share a single processor group.
  `static final int`
  `RelationNumaNode`
  The specified logical processors are part of the same NUMA node.
  `static final int`
  `RelationNumaNodeEx`
  Introduced in Windows Server 2022 (21H2, build 20348).
  `static final int`
  `RelationProcessorCore`
  The specified logical processors share a single processor core.
  `static final int`
  `RelationProcessorDie`
  The specified logical processors share a single processor die.
  `static final int`
  `RelationProcessorModule`
  The specified logical processors share a single processor module.
  `static final int`
  `RelationProcessorPackage`
  The specified logical processors share a physical package (a single package socketed or soldered onto a motherboard may contain multiple processor cores or threads, each of which is treated as a separate processor by the operating system.)

- ## Field Details

  - ### RelationProcessorCore

    static final int RelationProcessorCore
    The specified logical processors share a single processor core.
    See Also:
      - Constant Field Values

  - ### RelationNumaNode

    static final int RelationNumaNode
    The specified logical processors are part of the same NUMA node.
    See Also:
      - Constant Field Values

  - ### RelationCache

    static final int RelationCache

    The specified logical processors share a cache.

    Not supported until Windows Server 2003 SP1 / Windows XP Professional x64.

    See Also:
      - Constant Field Values

  - ### RelationProcessorPackage

    static final int RelationProcessorPackage

    The specified logical processors share a physical package (a single package socketed or soldered onto a motherboard may contain multiple processor cores or threads, each of which is treated as a separate processor by the operating system.)

    Not supported until Windows Server 2003 SP1 / Windows XP Professional x64.

    See Also:
      - Constant Field Values

  - ### RelationGroup

    static final int RelationGroup

    The specified logical processors share a single processor group.

    Not supported until Windows Server 2008 R2.

    See Also:
      - Constant Field Values

  - ### RelationProcessorDie

    static final int RelationProcessorDie

    The specified logical processors share a single processor die.

    See Also:
      - Constant Field Values

  - ### RelationNumaNodeEx

    static final int RelationNumaNodeEx

    Introduced in Windows Server 2022 (21H2, build 20348). Requests that the full affinity be returned. Unlike the other relation types, RelationNumaNodeEx is not used on input. It is simply a request for RelationNumaNode with full group information.

    See Also:
      - Constant Field Values

  - ### RelationProcessorModule

    static final int RelationProcessorModule

    The specified logical processors share a single processor module.

    See Also:
      - Constant Field Values

  - ### RelationAll

    static final int RelationAll

    On input, retrieves information about all possible relation types. This value is not used on output.

    Not supported until Windows Server 2008 R2.

    See Also:
      - Constant Field Values